org.eclipse.eef.properties.ui.legacy.internal.legacy2eef

## Class EEFLegacyTabbedPropertySheetPage

- java.lang.Object
- - org.eclipse.ui.part.Page
  - - org.eclipse.eef.properties.ui.api.EEFTabbedPropertySheetPage
    - - org.eclipse.eef.properties.ui.legacy.internal.legacy2eef.EEFLegacyTabbedPropertySheetPage

All Implemented Interfaces:
  java.util.EventListener, IEEFFormContainer, org.eclipse.ui.ISelectionListener, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage, org.eclipse.ui.views.properties.IPropertySheetPage

    public class EEFLegacyTabbedPropertySheetPage
    extends EEFTabbedPropertySheetPage

Wraps an `TabbedPropertySheetPage` to an `EEFTabbedPropertySheetPage`.

### Constructor Summary

Constructors
Constructor and Description
`EEFLegacyTabbedPropertySheetPage(org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage tabbedPropertySheetPage)` The constructor.

### Method Summary

### Methods inherited from class org.eclipse.eef.properties.ui.api.EEFTabbedPropertySheetPage

`addTabSelectionListener, createControl, dispose, disposeTabs, getActiveTabs, getContributor, getControl, getCurrentTab, getForm, getSelectedTab, getShell, getWidgetFactory, isRenderingInProgress, refresh, refreshPage, removeTabSelectionListener, resizeScrolledComposite, selectionChanged, setActionBars, setFocus, setSelectedTab, updateTabs`

### Methods inherited from class org.eclipse.ui.part.Page

`getSite, init, makeContributions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFLegacyTabbedPropertySheetPage

    public EEFLegacyTabbedPropertySheetPage(org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage tabbedPropertySheetPage)

The constructor.

Parameters:
  `tabbedPropertySheetPage` - A legacy tabbed property sheet page